#
# spec file for package brise
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           brise
Version:        0.36+git20150729.5c8435e
Release:        5.1
Summary:        Rime Input Schemas Collection
License:        GPL-3.0+
Group:          System/I18n/Chinese
Url:            https://github.com/lotem/brise
Source:         brise-%{version}.tar.xz
BuildRequires:  kyotocabinet
BuildRequires:  librime-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Rime is an Traditional Chinese input method engine.
Its idea comes from ancient Chinese brush and carving art.
Mainly it's about to express your thinking with your keystrokes.

Brise is the input schemas collection of Rime.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
mkdir -p %{buildroot}%{_docdir}/%{name}
install LICENSE %{buildroot}%{_docdir}/%{name}

%files
%defattr(-,root,root)
%{_datadir}/rime-data/
%{_docdir}/%{name}

%changelog
* Tue Feb 23 2016 qzhao@suse.com
- Make LICENSE file install by default.
* Wed Aug 12 2015 i@marguerite.su
- update version 0.36+git20150729.5c8435e
* Sun Aug 10 2014 i@marguerite.su
- update version 0.35+git20140810
  * default.yaml: add switch 'ascii_punct' to switch on and off Chinese
    punctuations; add hotkey Control+. to toggle ascii_punct;
    add hotkey Control+h for BackSpace, Control+[ for Escape;
    clear unfinished input when switching off Chinese mode with Caps Lock;
    enable folded options in schema list, press space key to unfold.
  * essay.txt: replaces essay.kct in installed files; fix bugs.
  * symbols.yaml: /bdz for Chinese punctuations in vertical writing.
  * stroke.dict.yaml: adopt BSD license as approved by its original author.
  * combo_pinyin: silently ignore invalid chords.
  * luna_pinyin_fluency: input various numeric characters with /0 ~ /10.
  * luna_pinyin, terra_pinyin, emoji, stroke, zyenpheng: update tables.
* Sat Mar 15 2014 i@marguerite.su
- update version 0.33git20140315
  * symbols.yaml: rearranged symbol table by Patricivs.
  * emoji: more Emoji symbols; support tips and alternative spellings.
  * jyutping: include more Cantonese phrases.
  * essay.txt, luna_pinyin, terra_pinyin: lots of improvements.
  * many other bugfixes since then.
* Mon Nov 11 2013 i@marguerite.su
- update version 0.30
  * default.yaml, symbols.yaml: prefer middle dot U+00B7 to U+30FB.
  * bopomofo_tw: bopomofo, output in Taiwan standard.
  * jyutping: include more characters.
  * luna_pinyin_simp: enable hotkey Control+Shift+4 to toggle
    simplified/traditional Chinese mode.
  * essay.txt, luna_pinyin, terra_pinyin: lots of improvements.
* Sat Jun 29 2013 i@marguerite.su
- update version 0.22
  * essay.txt, luna_pinyin, terra_pinyin: lots of bug-fixes.
  * wubi86: auto-commit complete words. (max_code_length: 4)
  * luna_pinyin*: enable user created custom_phrase.txt (rime>=0.9.9)
* Fri Feb  1 2013 i@marguerite.su
- although this package only have a /usr/share/rime-data,
  but it need building, 32-bit and 64-bit results are different.
  So remove BuildArch: noarch tag to fix ibus/fcitx-rime crash.
* Thu Oct 11 2012 i@marguerite.su
- update version 0.13
  * install data files from a separate package.
  * update: luna_pinyin, terra_pinyin, jyutping tables.
  * update: essay database.
  * new schema: emoji.
* Sat Jul 21 2012 i@marguerite.su
- initial version 0.9.2
  * chord-typing support: combine multiple keys to compose a syllable at once.
  * configuration: global page_size setting.
  * inline mode: extend the API to support inline mode.
  * table translator: add option to filter candidates by character set.
  * user dictionary: automatic recovery for corrupted databases.
  * user dictionary: fixed a bug that was responsible for missing user phrases.
  * rime_deployer: a utility program to prepare Rime's workspace.
  * rime_dict_manager: a utility program to import/export user dictionaries.
  * librime package: include 'brise', a collection of preset schemata in the package.
  * new schema: Middle Chinese Phonetic Transcription.
  * new schema: IPA input method in X-SAMPA.
